Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.criterion
Class IdentifierEqExpression

    java.lang.Object
      org.hibernate.criterion.IdentifierEqExpression

All Implemented Interfaces:
  Serializable, Criterion

    public class IdentifierEqExpression

extends Object
implements Criterion

An identifier constraint

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`protected` | `IdentifierEqExpression(Object value)`

Method Summary
`TypedValue[]` | `getTypedValues(Criteria criteria, CriteriaQuery criteriaQuery)` Return typed values for all parameters in the rendered SQL fragment
`String` | `toSqlString(Criteria criteria, CriteriaQuery criteriaQuery)` Render the SQL fragment
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IdentifierEqExpression

    protected IdentifierEqExpression(Object value)

Method Detail

### toSqlString

    public String toSqlString(Criteria criteria,
                              CriteriaQuery criteriaQuery)
                       throws HibernateException

  Description copied from interface: `Criterion`
  Render the SQL fragment

  Specified by:
    `toSqlString` in interface `Criterion`
  Returns:
    String
  Throws:
    `HibernateException`

### getTypedValues

    public TypedValue[] getTypedValues(Criteria criteria,
                                       CriteriaQuery criteriaQuery)
                                throws HibernateException

  Description copied from interface: `Criterion`
  Return typed values for all parameters in the rendered SQL fragment

  Specified by:
    `getTypedValues` in interface `Criterion`
  Parameters:
    `criteria` - TODO
  Returns:
    TypedValue[]
  Throws:
    `HibernateException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD